version: '2.1'
networks:
  default:
    external:
      name: warp-net
services:
  connect:
    image: debezium/connect:1.6.1.Final
    restart: always
    ports:
      - 8083:8083
    environment:
      - BOOTSTRAP_SERVERS=kafka-1:9092,kafka-2:9093,kafka-3:9094
      - GROUP_ID=1
      - CONFIG_STORAGE_TOPIC=t_scele_event_log_configs
      - OFFSET_STORAGE_TOPIC=t_scele_event_log_offsets
      - STATUS_STORAGE_TOPIC=t_scele_event_log_statuses
      - CONNECT_KEY_CONVERTER_SCHEMA_REGISTRY_URL=http://kafka-schema-registry:8081
      - CONNECT_VALUE_CONVERTER_SCHEMA_REGISTRY_URL=http://kafka-schema-registry:8081
      - KEY_CONVERTER=io.confluent.connect.avro.AvroConverter
      - VALUE_CONVERTER=io.confluent.connect.avro.AvroConverter
      - CONNECT_PRODUCER_MAX_REQUEST_SIZE=10000000

